<?php

class ROE_Vendor_HTMLPurifier_HTMLModule_Tidy_Proprietary extends ROE_Vendor_HTMLPurifier_HTMLModule_Tidy
{

    /**
     * @type string
     */
    public $name = 'Tidy_Proprietary';

    /**
     * @type string
     */
    public $defaultLevel = 'light';

    /**
     * @return array
     */
    public function makeFixes()
    {
        $r = array();
        $r['table@background'] = new ROE_Vendor_HTMLPurifier_AttrTransform_Background();
        $r['td@background']    = new ROE_Vendor_HTMLPurifier_AttrTransform_Background();
        $r['th@background']    = new ROE_Vendor_HTMLPurifier_AttrTransform_Background();
        $r['tr@background']    = new ROE_Vendor_HTMLPurifier_AttrTransform_Background();
        $r['thead@background'] = new ROE_Vendor_HTMLPurifier_AttrTransform_Background();
        $r['tfoot@background'] = new ROE_Vendor_HTMLPurifier_AttrTransform_Background();
        $r['tbody@background'] = new ROE_Vendor_HTMLPurifier_AttrTransform_Background();
        $r['table@height']     = new ROE_Vendor_HTMLPurifier_AttrTransform_Length('height');
        return $r;
    }
}

// vim: et sw=4 sts=4
